<?php
require_once ('system/func.php');
$title = 'Кто онлайн';
require_once ('system/header.php');
auth(); // Закроем от гостей











if(isset($_GET['search'])){
if(isset($_REQUEST['search_nick'])){
$login = text($_POST[login]);
if(empty($login)){
$_SESSION['msg'] = 'Введите логин';
header("Location: ?search");
exit();
}else{
$sql = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `login` = '".$login."' LIMIT 1"));
header("Location: /profile/$sql[id]");
exit();
}
}
echo "<div class='header'><div class='header'><a href='?'>Все игроки</a> | <a href='?no_clan'>Без клана</a> | <a href='?adm'>Администрация</a> | Поиск</div></div>";
echo "<div class='header'>";
echo '<form action="?search" method="post">';
echo 'Логин игрока:<br><input class="center" type="text" name="login" maxlength="50" value="" /><br/>';
echo '<input type="submit" name="search_nick" class="auth_login" value="Найти профиль">';
echo '</form>';
echo "</div>";
require_once ('system/footer.php');
break;
}


















$set['p_str'] = 10;
if(isset($_GET['adm'])){
    
    
    
    
 
    
    
    
    
    
    
    
    
    
    
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `online` > '".(time()-18000)."' AND `access` = '1' AND `level` >= '5'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `users` WHERE `online` > '".(time()-18000)."' AND `access` > '0' ORDER BY `level` ASC, `exp` ASC LIMIT $start, $set[p_str]");
echo "<div class='header'><div class='header'><a href='?'>Все игроки</a> | <a href='?no_clan'>Без клана</a> | <a href='?adm'>Администрация</a> | <a href='?search'>Поиск</a></div></div>";

echo "</table></div>";

while($post = mysql_fetch_assoc($q)) {
    echo div('wrapper');

echo icons_user($post[id])."  <a href='/profile/$post[id]'>$post[login]</a>, ".ico('icons','level.png')." $post[level]ур.</div>";
}
if ($k_post >=10)
{
echo div('main_link');
str('?',$k_page,$page); // Вывод страниц
echo "</div>";
}


require_once ('system/footer.php');


exit();

}
$set['p_str'] = 10;
if(isset($_GET['no_clan'])){
    
    
    
    
 
    
    
    
    
    
    
    
    
    
    
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `online` > '".(time()-18000)."' AND `id_clan` = '0' AND `level` >= '5'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `users` WHERE `online` > '".(time()-18000)."' AND `id_clan` = '0' ORDER BY `level` ASC, `exp` ASC LIMIT $start, $set[p_str]");
//echo "<table style='width:100%;'>";
//echo "<td class='center'><div class='block_c'><li><a href='?'>Все игроки</a></li></td>";
//echo "<td class='center'><li><div class='block_C'><a href='?search'>Администрация</a></li></td>";
echo "<div class='header'><div class='header'><a href='?'>Все игроки</a> | <a href='?no_clan'>Без клана</a> | <a href='?adm'>Администрация</a> | <a href='?search'>Поиск</a></div></div>";

echo "</table></div>";

//if($k_post == 0)echo div('block_c')." Таких игроков не обнаружено в сети</div>";
while($post = mysql_fetch_assoc($q)) {
    echo div('wrapper');

echo icons_user($post[id])."  <a href='/profile/$post[id]'>$post[login]</a>, ".ico('icons','level.png')." $post[level]ур.";
echo "</div>";

}
if ($k_post >=10)
{
echo div('main_link');
str('?',$k_page,$page); // Вывод страниц
echo "</div>";
}


require_once ('system/footer.php');
break;
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `online` > '".(time()-18000)."'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `users` WHERE `online` > '".(time()-18000)."' ORDER BY `level` DESC, `exp` DESC LIMIT $start, $set[p_str]");
//echo "<table style='width:100%;'>";
//echo "<td class='center'><div class='block_c'><li><a href='?search'>Администрация </a></li></td>";
//echo "<td class='center'><li><div class='block_c'><a href='?no_clan'>Без клана</a></li></td>";

echo "<div class='header'><div class='header'><a href='?'>Все игроки</a> | <a href='?no_clan'>Без клана</a> | <a href='?adm'>Администрация</a> | <a href='?search'>Поиск</a></div></div>";


echo "</table></div>";
while($post = mysql_fetch_assoc($q)) {
echo "<div class='wrapper'>";


echo icons_user($post[id])." <a href='/profile/$post[id]'>  ".span('white').   " $post[login]   ".ico('icons','level.png')." $post[level] </span>  ".span('grey')." $post[fix_mesto]".(empty($post['fix_mesto']) ? "В поиске" : "")."
</span>";
echo "</div>";

}

if ($k_post > 10)
{
    echo "<div class='header center'>";
str('?',$k_page,$page); // Вывод страниц
echo "</div>";
}




















require_once ('system/footer.php');












?>
